Subject: Re: bug#70589: [PATCH] Refine the Custom type of generated '*-modes' options

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Apr 2024 14:34:04 +0300

> From: Eshel Yaron <[email-masked]>
> Cc: [email-masked],  Stefan Monnier <[email-masked]>
> Date: Fri, 26 Apr 2024 13:13:37 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Why does it make sense to have the "all" and "none" alternatives
> > twice?
> 
> These are slightly different: a value of t ("Enable in all major modes")
> says to enable everywhere, while a t inside a list ("All major modes")
> says to enable in modes that were not mentioned earlier in the list (so
> putting t in the end of the list means "otherwise, enable").  Similarly
> for the "none" alternatives: a value of nil ("Don't enable...") means we
> never enable the minor mode, while the effect of a nil inside the list
> is relative to the previous elements, and means "otherwise, don't".
> Does that make sense?

It might make sense, if we change the labels to say what you tell
above.

Thanks.